{ ************************************************************** }
{ **                KURZBESCHREIBUNG                          ** }
{ ************************************************************** }
{ **                                                          ** }
{ ** MAKROMNAME : Plotten                                     ** }
{ ** DATUM      : 06.10.2005                                  ** }
{ ** VERSION    : 2.5                                         ** }
{ ** DATEINAME  : plot_menu.m                                 ** }
{ ** DESIGNED   : by B. Groth                                 ** }
{ ** SPRACHE    : ME10 Macro                                  ** }
{ ** OS         : Microsoft Windows                           ** }
{ **                                                          ** }
{ ************************************************************** }
{ ************************************************************** }

Print_mgr_option_off {** WICHTIG, sonst kommt wieder das Windowsfenster **}

LET Stiftbel 'NORMAL' { Muss unbedingt hier stehen ! }
                      { Sonst wird das Men nicht aufgebaut }
LET farbe 0
LET verkleinern 0

DEFINE sm_plot
    Sm_plot_mod
END_DEFINE

DEFINE Tm_plot
    Sm_plot_mod
END_DEFINE

DEFINE Sm_plot_mod
  LET Lastmen 'Tm_plot'
  IF (I_port)
    Check_i_port
  END_IF
  IF (NOT I_port)
    MENU_BUFFER ON
    CURRENT_MENU Sm_plot_layout_name T_clear_menu Menu_tables_control_icons
    MENU Colo0 Bcol5 CENTER 'PLOTTEN' '' 1 3
    MENU Colo0 Bcol1 'MASSSTAB' 'Plot_enter_plotscale_and_update' 2 1
    MENU Menu_slot_highlight (Sys_plot_plotscale) (Sys_plot_plotscale_value_string) 'Plot_enter_plotscale_and_update' 2 2
    MENU Colo0 Bcol0 '' '' 3 1
    MENU Menu_slot_highlight (0=Sys_plot_plotscale) 'Einpassen'
    'Set_sys_plot_plotscale 0 Tm_plot' 3 2
    MENU Colo0 Bcol1 'AUSGABE' 'Set_sys_plot_source ALL Tm_plot' 4 1
    MENU Menu_slot_highlight (ALL=Sys_plot_source) 'Alles'
    'Set_sys_plot_source ALL Tm_plot' 4 2
    MENU Menu_slot_highlight (TWO_PTS=Sys_plot_source) 'Kasten    '
    'Plot_enter_two_pts_and_update' 5 1
    MENU Menu_slot_highlight (CURRENT_WINDOW=Sys_plot_source) 'DarstFenst'
    'Set_sys_plot_source CURRENT_WINDOW Tm_plot' 5 2
    MENU Colo0 Bcol1 'INHALT' 'Set_sys_plot_as_displayed 0 Tm_plot' 6 1
    MENU Menu_slot_highlight (0=Sys_plot_as_displayed) 'Zeichnung'
    'Set_sys_plot_as_displayed 0 Tm_plot' 6 2
    MENU Colo0 Bcol0 '' '' 7 1
    MENU Menu_slot_highlight (Sys_plot_as_displayed) 'Zeigen Akt'
    'Set_sys_plot_as_displayed 1 Tm_plot' 7 2
    MENU Colo0 Bcol1 'DREHWINKEL' 'Plot_enter_rotate_and_update' 8 1
    MENU Menu_slot_highlight (TRUE) Sys_plot_rotate_value_string
    'Plot_enter_rotate_and_update' 8 2
    MENU Colo0 Bcol1 'STIFTE' '           ' 9 1
    MENU Colo1
    IF ((Stiftbel='NORMAL') OR (Stiftbel='ELEC'))
      Bcol4
    ELSE
      Bcol0
    END_IF
    ' Normal' 'let Stiftbel "NORMAL" let verkleinern 0 Plot_pen_color Sm_plot_mod' 9 2
    MENU Colo1 Bcol0 '' '' 10 1
    MENU Colo1
    IF (Stiftbel='1_100')
      Bcol4
    ELSE
      Bcol0
    END_IF
    ' 1 : 100' 'let Stiftbel "1_100" let verkleinern 1 Sm_plot_mod' 10 2
    MENU center Colo0 Bcol1 'PAPIER FMT' '         ' 11 1
    MENU center Colo0 Bcol1 '  ' ' ' 11 2
    MENU center colo0 bcol0 '  ' ' ' 12 1
    MENU center colo0 bcol0 '  ' ' ' 12 2
    MENU center Colo0 Bcol5 'PLOTTER' ' ' 13 1
    MENU center Colo0 Bcol5 'DRUCKER' ' ' 13 2
    MENU center colo0 bcol0 'A0' 'Elec_a0 Plot_elec' 14 1
    MENU center colo0 bcol0 '  ' ' ' 14 2
    MENU center colo0 bcol0 'A1' 'Elec_a1 Plot_elec' 15 1
    MENU center colo0 bcol0 '  ' ' ' 15 2
    MENU center colo0 bcol0 'A2' 'Elec_a2 Plot_elec' 16 1
    MENU center colo0 bcol0 '  ' ' ' 16 2
    MENU center colo0 bcol0 'A3' 'Elec_a3 Plot_elec' 17 1
    MENU center colo0 bcol0 'A3 Laser' 'plot_laser_a3' 17 2
    MENU center colo0 bcol0 'A4' 'Elec_a4 Plot_elec' 18 1
    MENU center Colo0 Bcol0 'A4 Laser' 'plot_laser_a4' 18 2
    MENU center colo0 bcol0 '  ' ' ' 19 1
    MENU center colo0 bcol0 '  ' ' ' 19 2
    MENU center colo0 bcol0 '  ' ' ' 20 1
    MENU center colo0 bcol0 '  ' ' ' 20 2
    MENU center Colo0 Bcol0 '  ' ' ' 21 1
    MENU center colo0 bcol0 '  ' ' ' 21 2
    MENU center Colo0 Bcol0 '  ' ' ' 22 2
    MENU CENTER Colo0 Bcol0 'Auf A4' 'plot_laser_einp_A4' 23 1
    MENU CENTER Colo0 Bcol0 'Auf A3' 'plot_laser_einp_A3' 23 2
    MENU CENTER Colo0 Bcol0 'Auf A2' 'plot_laser_einp_a2' 24 1
    MENU CENTER Colo0 Bcol0 'Auf A1' 'plot_laser_einp_a1' 24 2
    {
    MENU CENTER Colo0 Bcol0 'berl.>A0' 'elec_a0_l200 laxis' 25 1
    }
    MENU CENTER Colo0 Bcol0 ' ' '' 25 1
    MENU CENTER Colo1 Bcol5 'MENUE 2' 'sm_plot_config_mepr' 25 2
    Eight_menu_slots_add
  END_IF
END_DEFINE

define farbig
  let farbe 1
end_define

DEFINE ELEC_A0_L200
  Set_sys_plot_name_mepr 'PLOTTER on server6'         {!!! Diese Eintraege ersetzen!!! }
  set_sys_plot_size_mepr 'Benutz. 5: 5000 x 851 mm  ' {!!! Diese Eintraege ersetzen!!! }
  set_sys_plot_orientation 2
  Set_sys_plot_plotscale 1
END_DEFINE
          
DEFINE ELEC_A0
  Set_sys_plot_name_mepr 'PLOTTER on server6' 
  set_sys_plot_size_mepr 'ISO OS A0 900 x 1245 mm'
  set_sys_plot_orientation 2
  Set_sys_plot_plotscale 1
  tm_plot
END_DEFINE

DEFINE Plot_elec
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  plot_black_and_white
  plot_start
  tm_plot
END_DEFINE

DEFINE ELEC_A1
  Set_sys_plot_name_mepr 'PLOTTER on server6' 
  set_sys_plot_size_mepr 'ISO A0 841 x 1189 mm'
  set_sys_plot_orientation 2
  Set_sys_plot_plotscale 1
  tm_plot
END_DEFINE

DEFINE ELEC_A2
  Set_sys_plot_name_mepr 'PLOTTER on server6' 
  set_sys_plot_size_mepr 'ISO A0 841 x 1189 mm'
  set_sys_plot_orientation 1
  Set_sys_plot_plotscale 1
  tm_plot
END_DEFINE

DEFINE ELEC_A3
  Set_sys_plot_name_mepr 'PLOTTER on server6' 
  set_sys_plot_size_mepr 'ISO A0 841 x 1189 mm'
  set_sys_plot_orientation 1
  Set_sys_plot_plotscale 1
  tm_plot
END_DEFINE

DEFINE ELEC_A4
  Set_sys_plot_name_mepr 'PLOTTER on server6' 
  set_sys_plot_size_mepr 'ISO A0 841 x 1189 mm'
  set_sys_plot_orientation 1
  Set_sys_plot_plotscale 1
  tm_plot
END_DEFINE

DEFINE Plot_pen_color
  LET Nt_plot_option NT_PLOT_OPTION_PEN_COLOR
  true_color_plotting off
  PLOT_TRANSFORMATION ALL { all colors    } .0 1.  .0 1.  .0 1.  SAME 1
  PLOT_TRANSFORMATION ALL { all colors    } .0 1.  .0 1.  .0 1.  {0 width lines} 0 0 {same line type} SAME penwidth .5 {pen number} 2
  { Color mapping for a RGB color cube devided into 8 color ranges }
  PLOT_TRANSFORMATION ALL { black range   } .0 .5  .0 .5  .0 .5  SAME 1
  PLOT_TRANSFORMATION ALL { red range     } .5 1.  .0 .5  .0 .5  SAME 2
  PLOT_TRANSFORMATION ALL { red range     } .5 1.  .0 .5  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .35 {pen number} 2
  PLOT_TRANSFORMATION ALL { green range   } .0 .5  .5 1.  .0 .5  SAME 3
  PLOT_TRANSFORMATION ALL { green range   } .0 .5  .5 1.  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .25 {pen number} 3
  PLOT_TRANSFORMATION ALL { yellow range  } .5 1.  .5 1.  .0 .5  SAME 4
  PLOT_TRANSFORMATION ALL { yellow range  } .5 1.  .5 1.  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .35 {pen number} 4
  PLOT_TRANSFORMATION ALL { blue range    } .0 .5  .0 .5  .5 1.  SAME 5
  PLOT_TRANSFORMATION ALL { blue range    } .0 .5  .0 .5  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .7 {pen number} 5
  PLOT_TRANSFORMATION ALL { magenta range } .5 1.  .0 .5  .5 1.  SAME 6
  PLOT_TRANSFORMATION ALL { magenta range } .5 1.  .0 .5  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .15 {pen number} 6
  PLOT_TRANSFORMATION ALL { cyan range    } .0 .5  .5 1.  .5 1.  SAME 7
  PLOT_TRANSFORMATION ALL { cyan range    } .0 .5  .5 1.  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .18 {pen number} 7
  PLOT_TRANSFORMATION ALL { white range   } .5 1.  .5 1.  .5 1.  SAME 0
  { Special mappings for BLACK, WHITE etc. }
  PLOT_TRANSFORMATION ALL { black color   } BLACK SAME 0
  PLOT_TRANSFORMATION ALL { white color   } WHITE SAME 1
  PLOT_TRANSFORMATION ALL { white color   } .5 1.  .5 1.  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .5 {pen number} 1
  PLOT_TRANSFORMATION PHANTOM CYAN SAME 0
  LET Plot_pix_color_option 1
  {
  LET Stiftbel 'NORMAL'
  }
END_DEFINE { Plot_pen_color }

DEFINE Plot_pen_color_100
  LET Nt_plot_option NT_PLOT_OPTION_PEN_COLOR
  true_color_plotting off
  PLOT_TRANSFORMATION ALL { all colors    } .0 1.  .0 1.  .0 1.  SAME 1
  PLOT_TRANSFORMATION ALL { all colors    } .0 1.  .0 1.  .0 1.  {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 2
  { Color mapping for a RGB color cube devided into 8 color ranges }
  PLOT_TRANSFORMATION ALL { black range   } .0 .5  .0 .5  .0 .5  SAME 1
  PLOT_TRANSFORMATION ALL { red range     } .5 1.  .0 .5  .0 .5  SAME 2
  PLOT_TRANSFORMATION ALL { red range     } .5 1.  .0 .5  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 2
  PLOT_TRANSFORMATION ALL { green range   } .0 .5  .5 1.  .0 .5  SAME 3
  PLOT_TRANSFORMATION ALL { green range   } .0 .5  .5 1.  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 3
  PLOT_TRANSFORMATION ALL { yellow range  } .5 1.  .5 1.  .0 .5  SAME 4
  PLOT_TRANSFORMATION ALL { yellow range  } .5 1.  .5 1.  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 4
  PLOT_TRANSFORMATION ALL { blue range    } .0 .5  .0 .5  .5 1.  SAME 5
  PLOT_TRANSFORMATION ALL { blue range    } .0 .5  .0 .5  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 5
  PLOT_TRANSFORMATION ALL { magenta range } .5 1.  .0 .5  .5 1.  SAME 6
  PLOT_TRANSFORMATION ALL { magenta range } .5 1.  .0 .5  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 6
  PLOT_TRANSFORMATION ALL { cyan range    } .0 .5  .5 1.  .5 1.  SAME 7
  PLOT_TRANSFORMATION ALL { cyan range    } .0 .5  .5 1.  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 7
  PLOT_TRANSFORMATION ALL { white range   } .5 1.  .5 1.  .5 1.  SAME 0
  { Special mappings for BLACK, WHITE etc. }
  PLOT_TRANSFORMATION ALL { black color   } BLACK SAME 0
  PLOT_TRANSFORMATION ALL { white color   } WHITE SAME 1
  PLOT_TRANSFORMATION ALL { white color   } .5 1.  .5 1.  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 1
  PLOT_TRANSFORMATION PHANTOM CYAN SAME 0
  LET Plot_pix_color_option 1
  {
  LET Stiftbel 'NORMAL'
  }
END_DEFINE { Plot_pen_color_100 }

DEFINE Plot_pen_color_2
  LET Nt_plot_option NT_PLOT_OPTION_PEN_COLOR
  true_color_plotting off
  PLOT_TRANSFORMATION ALL { all colors    } .0 1.  .0 1.  .0 1.  SAME 1
  PLOT_TRANSFORMATION ALL { all colors    } .0 1.  .0 1.  .0 1.  {0 width lines} 0 0 {same line type} SAME penwidth .5 {pen number} 2
  { Color mapping for a RGB color cube devided into 8 color ranges }
  PLOT_TRANSFORMATION ALL { black range   } .0 .5  .0 .5  .0 .5  SAME 1
  PLOT_TRANSFORMATION ALL { red range     } .5 1.  .0 .5  .0 .5  SAME 2
  PLOT_TRANSFORMATION ALL { red range     } .5 1.  .0 .5  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .35 {pen number} 2
  PLOT_TRANSFORMATION ALL { green range   } .0 .5  .5 1.  .0 .5  SAME 3
  PLOT_TRANSFORMATION ALL { green range   } .0 .5  .5 1.  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .25 {pen number} 3
  PLOT_TRANSFORMATION ALL { yellow range  } .5 1.  .5 1.  .0 .5  SAME 4
  PLOT_TRANSFORMATION ALL { yellow range  } .5 1.  .5 1.  .0 .5  {0 width lines} 0 0 {same line type} SAME penwidth .35 {pen number} 4
  PLOT_TRANSFORMATION ALL { blue range    } .0 .5  .0 .5  .5 1.  SAME 5
  PLOT_TRANSFORMATION ALL { blue range    } .0 .5  .0 .5  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .7 {pen number} 5
  PLOT_TRANSFORMATION ALL { magenta range } .5 1.  .0 .5  .5 1.  SAME 6
  PLOT_TRANSFORMATION ALL { magenta range } .5 1.  .0 .5  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .15 {pen number} 6
  PLOT_TRANSFORMATION ALL { cyan range    } .0 .5  .5 1.  .5 1.  SAME 7
  PLOT_TRANSFORMATION ALL { cyan range    } .0 .5  .5 1.  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .18 {pen number} 7
  PLOT_TRANSFORMATION ALL { white range   } .5 1.  .5 1.  .5 1.  SAME 0
  { Special mappings for BLACK, WHITE etc. }
  PLOT_TRANSFORMATION ALL { black color   } BLACK SAME 0
  PLOT_TRANSFORMATION ALL { white color   } WHITE SAME 1
  PLOT_TRANSFORMATION ALL { white color   } .5 1.  .5 1.  .5 1.  {0 width lines} 0 0 {same line type} SAME penwidth .5 {pen number} 1
  PLOT_TRANSFORMATION PHANTOM CYAN SAME 0
  LET Plot_pix_color_option 1
END_DEFINE { Plot_pen_color }

DEFINE Plot_black_and_white
LET Nt_plot_option NT_PLOT_OPTION_B_AND_W
true_color_plotting off
PLOT_TRANSFORMATION ALL { all colors } .0 1. .0 1. .0 1. SAME 1
{ Color mapping for a RGB color cube devided into 8 color ranges }
PLOT_TRANSFORMATION ALL { black range } .0 .5 .0 .5 .0 .5 SAME 1
PLOT_TRANSFORMATION ALL { red range } .5 1. .0 .5 .0 .5 SAME 1
PLOT_TRANSFORMATION ALL { red range } .5 1. .0 .5 .0 .5 {0 width lines} 0 0 {same line type} SAME penwidth .25 {pen number} 1
PLOT_TRANSFORMATION ALL { green range } .0 .5 .5 1. .0 .5 SAME 1
PLOT_TRANSFORMATION ALL { green range } .0 .5 .5 1. .0 .5 {0 width lines} 0 0 {same line type} SAME penwidth .25 {pen number} 1
PLOT_TRANSFORMATION ALL { yellow range } .5 1. .5 1. .0 .5 SAME 1
PLOT_TRANSFORMATION ALL { yellow range } .5 1. .5 1. .0 .5 {0 width lines} 0 0 {same line type} SAME penwidth .35 {pen number} 1
PLOT_TRANSFORMATION ALL { blue range } .0 .5 .0 .5 .5 1. SAME 1
PLOT_TRANSFORMATION ALL { blue range } .0 .5 .0 .5 .5 1. {0 width lines} 0 0 {same line type} SAME penwidth .25 {pen number} 1
PLOT_TRANSFORMATION ALL { magenta range } .5 1. .0 .5 .5 1. SAME 1
PLOT_TRANSFORMATION ALL { magenta range } .5 1. .0 .5 .5 1. {0 width lines} 0 0 {same line type} SAME penwidth .25 {pen number} 1
PLOT_TRANSFORMATION ALL { cyan range } .0 .5 .5 1. .5 1. SAME 1
PLOT_TRANSFORMATION ALL { cyan range } .0 .5 .5 1. .5 1. {0 width lines} 0 0 {same line type} SAME penwidth .25 {pen number} 1
PLOT_TRANSFORMATION ALL { white range } .5 1. .5 1. .5 1. SAME 0
{ Special mappings for BLACK, WHITE etc. }
PLOT_TRANSFORMATION ALL { black color } BLACK SAME 0
PLOT_TRANSFORMATION ALL { white color } WHITE SAME 1
PLOT_TRANSFORMATION ALL { white color } .5 1. .5 1. .5 1. {0 width lines} 0 0 {same line type} SAME penwidth .50 {pen number} 1
PLOT_TRANSFORMATION PHANTOM CYAN SAME 0
LET Plot_pix_color_option 0
END_DEFINE { Plot_black_and_white }

DEFINE Plot_black_and_white_100
LET Nt_plot_option NT_PLOT_OPTION_B_AND_W
true_color_plotting off
PLOT_TRANSFORMATION ALL { all colors } .0 1. .0 1. .0 1. SAME 1
{ Color mapping for a RGB color cube devided into 8 color ranges }
PLOT_TRANSFORMATION ALL { black range } .0 .5 .0 .5 .0 .5 SAME 1
PLOT_TRANSFORMATION ALL { red range } .5 1. .0 .5 .0 .5 SAME 1
PLOT_TRANSFORMATION ALL { red range } .5 1. .0 .5 .0 .5 {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 1
PLOT_TRANSFORMATION ALL { green range } .0 .5 .5 1. .0 .5 SAME 1
PLOT_TRANSFORMATION ALL { green range } .0 .5 .5 1. .0 .5 {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 1
PLOT_TRANSFORMATION ALL { yellow range } .5 1. .5 1. .0 .5 SAME 1
PLOT_TRANSFORMATION ALL { yellow range } .5 1. .5 1. .0 .5 {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 1
PLOT_TRANSFORMATION ALL { blue range } .0 .5 .0 .5 .5 1. SAME 1
PLOT_TRANSFORMATION ALL { blue range } .0 .5 .0 .5 .5 1. {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 1
PLOT_TRANSFORMATION ALL { magenta range } .5 1. .0 .5 .5 1. SAME 1
PLOT_TRANSFORMATION ALL { magenta range } .5 1. .0 .5 .5 1. {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 1
PLOT_TRANSFORMATION ALL { cyan range } .0 .5 .5 1. .5 1. SAME 1
PLOT_TRANSFORMATION ALL { cyan range } .0 .5 .5 1. .5 1. {0 width lines} 0 0 {same line type} SAME penwidth .1 {pen number} 1
PLOT_TRANSFORMATION ALL { white range } .5 1. .5 1. .5 1. SAME 0
{ Special mappings for BLACK, WHITE etc. }
PLOT_TRANSFORMATION ALL { black color } BLACK SAME 0
PLOT_TRANSFORMATION ALL { white color } WHITE SAME 1
PLOT_TRANSFORMATION ALL { white color } .5 1. .5 1. .5 1. {0 width lines} 0 0 {same line type} SAME penwidth .2 {pen number} 1
PLOT_TRANSFORMATION PHANTOM CYAN SAME 0
LET Plot_pix_color_option 0
END_DEFINE { Plot_black_and_white }

define druckerwahl
  LET plot_user (getenv "USERNAME")
  IF (plot_user = 'irgendeinname')
    Set_sys_plot_name_mepr 'HPLJ4TBE on server6'
    set_sys_plot_size_mepr 'A4'
  ELSE
    Set_sys_plot_name_mepr 'Dell Laser Printer 1100'
    set_sys_plot_size_mepr 'A4'
  END_IF 
END_DEFINE

DEFINE Plot_laser_a4
  druckerwahl
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  plot_scale auto
  Set_sys_plot_filename_delold (TRUE) Set_sys_plot_filename_generate (FALSE)
  IF (verkleinern)
    Plot_black_and_white_100
  ELSE
    plot_black_and_white
  END_IF
  Set_sys_plot_macro_name ''
  plot_start 
  set_sys_plot_orientation 1
  Set_sys_plot_plotscale 1  
  tm_plot
END_DEFINE

DEFINE Plot_laser_a3
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  set_sys_plot_plotscale 0
  let plot_user (getenv "USERNAME")
  if (plot_user = 'azahr')
    Set_sys_plot_name_mepr 'LaserJetA3 on Server6'
  ELSE_IF (plot_user = 'jhallenberg')
    Set_sys_plot_name_mepr 'LaserJet A3 on Server6'
  else
    Set_sys_plot_name_mepr 'LaserJet A3 on server6'
  end_if 
  set_sys_plot_size_mepr 'A3'
  Set_sys_plot_filename_delold (TRUE) Set_sys_plot_filename_generate (FALSE)
  set_sys_plot_orientation 1
  set_sys_plot_rot 1.5707963267949
  IF (verkleinern)
    Plot_black_and_white_100
  ELSE
    plot_black_and_white
  END_IF
  Set_sys_plot_macro_name ''
  plot_start 
  set_sys_plot_orientation 1
  Set_sys_plot_plotscale 1  
  set_sys_plot_rot 0
  tm_plot
END_DEFINE

DEFINE Laxis
  plot_black_and_white
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  plot_black_and_white
  plot_start
  Set_sys_plot_plotscale 1 
  tm_plot
END_DEFINE

DEFINE zvw_farbplot
  let nt_destination nt_destination_print_mgr
  plotter_type 'MSWINDOWS_GDI_PRINTER'
END_DEFINE

DEFINE Plot_A0_A1
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  set_sys_plot_plotscale 0
  plot_black_and_white
  plot_start
  Set_sys_plot_plotscale 1 
  tm_plot
END_DEFINE

DEFINE Plot_A1_A2
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  set_sys_plot_plotscale 0
  plot_black_and_white
  plot_start
  Set_sys_plot_plotscale 1 
  tm_plot
END_DEFINE

DEFINE Plot_ueb_A1
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  Set_sys_plot_name_mepr 'PLOTTER on server6' 
  set_sys_plot_size_mepr 'ISO OS A0 900 x 1245 mm'
  plot_scale auto
  let farbe 'n'
  plot_start
  Set_sys_plot_plotscale 1 
  tm_plot
END_DEFINE

DEFINE Plot_laser_einp_A3
  Set_sys_plot_name_mepr 'LaserJet A3 on server6' 
  set_sys_plot_size_mepr 'A3'
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  Set_sys_plot_orientation 2 
  set_sys_plot_plotscale 0
  { Bei Laserdruckern!
  plot_pen_color_2
  }
  IF (verkleinern)
    Plot_black_and_white_100
  ELSE
    plot_black_and_white
  END_IF
  plot_start
  set_sys_plot_plotscale 1
  set_sys_plot_source all
  tm_plot
END_DEFINE

DEFINE Plot_laser_einp_A4
  Set_sys_plot_name_mepr 'ljvt1 on server6' 
  set_sys_plot_size_mepr 'A4 210 x 297 mm'
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  IF (verkleinern)
    Plot_black_and_white_100
  ELSE
    plot_black_and_white
  END_IF
  Set_sys_plot_orientation 2 
  set_sys_plot_plotscale 0
  plot_start
  Set_sys_plot_plotscale 1 
  set_sys_plot_source all
  tm_plot
  let farbe 0
END_DEFINE

DEFINE Plot_laser_einp_A2
  Set_sys_plot_name_mepr 'PLOTTER on server6' 
  set_sys_plot_size_mepr 'ISO A2 420 x 594 mm'
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  plot_black_and_white
  Set_sys_plot_orientation 2 
  set_sys_plot_plotscale 0
  plot_start
  Set_sys_plot_plotscale 1 
  set_sys_plot_source all
  tm_plot
  let farbe 0
END_DEFINE

DEFINE Plot_laser_einp_A1
  Set_sys_plot_name_mepr 'PLOTTER on server6' 
  set_sys_plot_size_mepr 'ISO A1 594 x 841 mm'
  Set_sys_plot_filename_prefix ''
  let sys_plot_filename ''
  plot_black_and_white
  Set_sys_plot_orientation 2 
  set_sys_plot_plotscale 0
  plot_start
  Set_sys_plot_plotscale 1 
  set_sys_plot_source all
  tm_plot
  let farbe 0
END_DEFINE

plot_pen_color
